Bug 1567531 - gnome-control-center icon symlinks in -legacy result in low-res/old gnome-control-center icon in GNOME
Summary: gnome-control-center icon symlinks in -legacy result in low-res/old gnome-con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 19:28 UTC by fednuc
Modified: 2018-04-17 00:21 UTC (History)
10 users (show)

Fixed In Version: gnome-icon-theme-3.12.0-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 00:21:43 UTC
Type: Bug


Attachments (Terms of Use)

Description fednuc 2018-04-14 19:28:03 UTC
With the package installed:

* Icon is fuzzy/low-res
* It's the old sliders icon rather than the screwdriver/spanner icon.

Removing the package fixes this, but it shouldn't really cause the problem when installed.

Comment 1 fednuc 2018-04-14 19:28:55 UTC
Sorry, to be clear, by "the package" I mean gnome-icon-theme-legacy

Comment 2 fednuc 2018-04-14 19:33:29 UTC
Per https://gitlab.gnome.org/GNOME/gnome-control-center/issues/3, the gtk-missing-image icon is useful, but that is in the -legacy package at the moment.

Maybe just remove the gnome-control-center categories icon from that package per comment 3 there?

Comment 3 Kalev Lember 2018-04-15 00:01:04 UTC
Thanks, I dropped them in https://src.fedoraproject.org/rpms/gnome-icon-theme/c/416754015c9469e732a819e8bb27a81a1a85e29e just now

Comment 4 Fedora Update System 2018-04-15 00:04:39 UTC
gnome-icon-theme-3.12.0-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-894bd8ae9a

Comment 5 Fedora Update System 2018-04-17 00:21:43 UTC
gnome-icon-theme-3.12.0-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.